%define major	0
%define libname	%mklibname 2geom %{major}
%define devname	%mklibname 2geom -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		lib2geom
Summary:	Easy to use 2D geometry library in C++
Version:	1.2.2
Release:	%mkrel 2
License:	LGPLv2+ and MPLv1.1
Group:		System/Libraries
Url:		https://lib2geom.sourceforge.net/
# https://alpha.inkscape.org/releases/lib2geom-%%{version}.tar.bz2
Source0:	https://gitlab.com/inkscape/%{name}/-/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		lib2geom-lib64.patch
Patch1:		lib2geom-abi-version.patch
Patch2:		lib2geom-no-rpath.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(cairomm-1.0)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(py3cairo)
BuildRequires:	python3-cython

%description
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics. The primary
design consideration is ease of use and clarity.

%package -n %{libname}
Summary:	Easy to use 2D geometry library in C++
Group:		System/Libraries

%description -n %{libname}
2Geom is a C++ 2D geometry library geared towards robust processing of
computational geometry data associated with vector graphics. The primary
design consideration is ease of use and clarity.

%package -n %{devname}
Summary:	Development files and headers for lib2geom
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	2geom-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for lib2geom.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake \
	-D2GEOM_BUILD_SHARED:BOOL=ON
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files -n %{libname}
%{_libdir}/lib2geom.so.%{major}
%{_libdir}/lib2geom.so.%{version}

%files -n %{devname}
%doc *.md
%{_includedir}/2geom-%{version}/
%{_libdir}/lib2geom.so
%{_libdir}/cmake/2Geom/
%{_libdir}/pkgconfig/2geom.pc


%changelog
* Thu Dec 29 2022 pp - 1.2.2-2pclos2023
- rebuilt against new gsl

* Sat Dec 11 2022 tex - 1.2.2-1pclos2022
- create pkg
